Package com.plannaplan.entities

# Class Course

java.lang.Object
com.plannaplan.entities.Course

    @Entity
    public class Course
    extends java.lang.Object

Entity of Course grouping of state of course

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Course()` |
`Course​(java.lang.String name, java.lang.String symbol)` | Course

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.util.List<Groups>` | `getGroups()` | getGroups
`java.lang.Long` | `getId()` | getId
`java.lang.String` | `getName()` | getName
`java.lang.String` | `getSymbol()` | getSymbol
`void` | `setName​(java.lang.String name)` | setName
`void` | `setSymbol​(java.lang.String symbol)` | setSymbol

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Course

public Course()

### Course

public Course​(java.lang.String name, java.lang.String symbol)
Course

Parameters:
  `name` - name given to the course
  `symbol` - symbol given to the course

## Method Details

### getId

public java.lang.Long getId()
getId

Returns:
  id

### getName

public java.lang.String getName()
getName

Returns:
  name

### getSymbol

public java.lang.String getSymbol()
getSymbol

Returns:
  symbol

### setSymbol

public void setSymbol​(java.lang.String symbol)
setSymbol

Parameters:
  `symbol` - set symbol in the course

### setName

public void setName​(java.lang.String name)
setName

Parameters:
  `name` - set name in the course

### getGroups

public java.util.List<Groups> getGroups()
getGroups

Returns:
  groups return list groups